#ifndef CCTRLPOWERINDICATE_H
#define CCTRLPOWERINDICATE_H

#include "cmwidget.h"

class CTRLS_COMMON_EXPORT CCtrlPowerIndicate : public CMWidget
{
    Q_OBJECT
public:
    explicit CCtrlPowerIndicate(QWidget *parent = 0);
    void paintEvent(QPaintEvent *pEvent);
    double m_dPowerRange;
    double m_dPowerCur;
    double m_dPowerMax;

    void refreshPixmap();
    QPixmap m_Pixmap;
    QColor m_BKColor;
    void MTimeFresh();
signals:

public slots:
};

#endif // CCTRLPOWERINDICATE_H
